% Carnot.m Script Principal

% Ce Programme permet  l'utilisateur d'obtenir le travail chang avec le
% Milieu Extrieur par une machine thermique faisant suivre  un gaz
% parfait diatomique un cycle de Carnot.

% Prsentation du programme  l'utilisateur
disp('                      ]>Carnot<[')
disp('Programme calculant le travail fournit par une machine suivant un cycle')
disp('de carnot, avec une mole d''un gaz diatomique considr comme parfait.')
disp('Un cycle de Carnot comporte deux transformations isothermes, et deux')
disp('adiabatiques.')
disp('Vous allez pouvoir entrer vos donnes en suivant le diagramme ')
disp('pression-temprature du cycle de carnot qui vous sera prsent.')
disp('Pressez une touche pour continuer');
pause

% Appel du diagramme et de la fentre d'entre des valeurs
fonct;
inter;

% Entre du nombre d'intervalle souhait pour la mthode de Simpson
n=input('Entrez le nombre d''intervalles :  conseill >1000  ');

% Calcul des travaux, par les fonctions simpsonV et adiab
Wab=-pA*VA*simpsonV(VA,VB,n);
Wbc=adiab(pB,VB,pC,VC);
Wcd=-pC*VC*simpsonV(VC,VD,n);
Wda=adiab(pD,VD,pA,VA);

% Calcul du Travail total
Wcycle=Wab+Wcd+Wbc+Wda;

% Prsentation des travaux intermdiaires  l'utilisateur
M=[Wab Wbc Wcd Wda];
disp(' ')
disp('Voici les valeurs des travaux intermediares, en J')
disp('    W(a=>b)   W(b=>c)   W(c=>d)   W(d=>a)')
disp([M])

% Prsentation du travail total
disp(['Le travail total chang avec le milieu extrieur est ',num2str(Wcycle),' J']);

