% Affichage d'un diagramme p.V  d'un cycle de carnot, qui guide
% l'utilisateur pour entrer ses valeurs de pression et de volume.
clear

% Fond du graphique en blanc
figure('Color',[1 1 1]); 

% Blocage de la fentre graphique
hold on 

% Dfinition du titre et des lgendes des axes 
title('Diagramme de Clapeyron du cycle de Carnot','color','r')
xlabel('Volume')
ylabel('Pression')

% Trac des courbes isothermes et des adiabatiques
fplot('10/x',[1,4,1,7],'r')
fplot('25/x^3',[1,4,1,7],'b')
fplot('5/x',[1,4,1,7],'r')
fplot('70/x^3',[1,4,1,7],'b')

% Pointage des points A, B, C et D sur le diagramme
text(1.6,6.5,'A')
text(2.7,4,'B')
text(3.8,1.5,'C')
text(2.1,2.0,'D')

% Symbolisation de la valeur du Travail fourni par le cycle
text(2.1,3.5,'|W(cycle)|')

% Affichage de la lgendes des courbes
legend('isotherme','adiabatique')

