function varcovar(x,N,r,Sr,A)

% Donne les incertitudes sur les coefficients dtermins ports par A, par
% l'tude statistique suivante :
% => Ecart-types dtermins par la matrice de variance-covariance
% => Incertitudes par utilisation du coefficient de Student correspondant

% Cration de la matrice carre M
M=matricev(x,N,r);

% Calcul de la matrice de Variance-Covariance
V=Sr/(N-r-2)*inv(M);

% Dtermination du coefficient de Student associ  la quantit de mesures
t=student(N,r);

% Cration du vecteur qui comportera les carts-types associs  chaque
% coefficients
for i=1:r+1
    sigma(i)=(V(i,i))^0.5;
end

% Cration de la chane de caractres qui explicitera les incertitudes 
% l'utilisateur
var=([num2str(A(1)),' +/- ',num2str(t*sigma(1))]);
for i=2:r+1
    varp=([' + x^',num2str(i-1),' .',num2str(A(i)),' +/- ',num2str(t*sigma(i))]);
    var=strcat(var,varp);
end

disp('')
disp('En suivant la statistique de Student, on dduit les incertitudes')
disp('suivantes sur les coefficients de la modlisation :')
% affichage du polynme corrig des incertidudes
disp(' ')
disp(var)
disp(' ')

% Obtention des coefficients de corrlation
rep=input('Voulez vous tester l''indpendance entre des coefficients ? o/n  ','s');
if isempty(rep),rep='o'; end % Taper entre permet de valider, comme 'o'
ans='o'; % Mise  'o' d'une seconde chane de caractres
while ((rep=='o')&&(ans=='o'))
    i=input(['indice du premier coefficient  (!) <',num2str(r+1),'  : ']); % Demande des indices des coefficients  tudier
    j=input(['indice du second coefficient  (!) <',num2str(r+1),'  : ']);
    rc=real(V(i+1,j+1)/(V(i+1,i+1)*V(i+1,j+1))^0.5); % Calcul du coefficient de corrlation correspondant
    disp(['Voici le coefficient de corrlation entre les indices ',num2str(i),' et ',num2str(j),' : ',num2str(rc),'.'])
    disp(' ')
    ans=input('Voulez vous tester l''indpendance entre d''autres coefficients ? o/n ','s');
    if isempty(ans),ans='o'; end

end

end
